##### ip::basic_resolver::basic_resolver (4 of 4 overloads)

Move-construct a `ip::basic_resolver` from another.

    template<
        typename Executor1>
    basic_resolver(
        basic_resolver< InternetProtocol, Executor1 > && other,
        typename constraint< is_convertible< Executor1, Executor >::value >::type  = 0);

This constructor moves a resolver from one object to another.

###### Parameters

other

  The other `ip::basic_resolver` object from which the move will occur.

###### Remarks

Following the move, the moved-from object is in the same state as if constructed using the `basic_resolver(const executor_type&) constructor`.